diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 2775bb5..cf1de09 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -775,11 +775,17 @@ GCLOPTS="--enable-vssize=65536*2 --enable-locbfd --disable-dynsysbfd \
          --disable-statsysbfd --enable-maxpage=256*1024 --disable-xgcl \
          --disable-tkconfig"
 @
-For the MACOSX port we need the following options
+For the MACOSX port we need the following options. The ``--disable-nls'' means 
+that we will not be supporting natural language internationalization.
+The ``--enable-maxpage'' has been eliminated because it causes build failures.
+The ``--enable-machine'' parameter appears to be used by configure from the
+setting of the ``canonical'' variable, which is in turn set by a shell script.
+We need to add ``--enable-locbfd'' and ``--disable-dlopen'' due to the error
+``unexec: not enough room for load commands for new \_\_DATA segments''.
 <<GCLOPTS-CUSTRELOC>>=
-GCLOPTS="--enable-vssize=65536*2 --enable-maxpage=256*1024 --disable-locbfd \
+GCLOPTS="--enable-vssize=65536*2 --disable-nls  --enable-locbfd \
          --disable-statsysbfd  --enable-custreloc --disable-tkconfig \
-         --enable-machine=pwerpc-macosx --disable-xgcl"
+         --enable-machine=powerpc-macosx --disable-xgcl --disable-dlopen"
 @
 \subsection{Makefile.axposf1v3}
 <<Makefile.axposf1v3>>=
@@ -1268,6 +1274,282 @@ all: rootdirs noweb srcsetup lspdir srcdir
 <<clean>>
 
 @
+\subsection{Makefile.redhat72}
+<<Makefile.redhat72>>=
+# System dependent Makefile for the Intel/Linux platform
+# Platform variable
+PLF=LINUXplatform
+# C compiler flags
+CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
+# Loader flags
+LDF=" -L/usr/X11R6/lib ${XLIB}/libXpm.a "
+# C compiler to use
+CC=gcc 
+AWK=gawk
+RANLIB=ranlib
+TOUCH=touch
+TAR=tar
+AXIOMXLROOT=${AXIOM}/compiler
+O=o
+BYE=bye
+LISP=lsp
+DAASE=${SRC}/share
+# where the libXpm.a library lives
+XLIB=/usr/X11R6/lib
+<<GCLOPTS-LOCBFD>>
+<<SRCDIRS>>
+PATCH=patch
+
+ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
+    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
+    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.linux called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
+\subsection{Makefile.redhat9}
+<<Makefile.redhat9>>=
+# System dependent Makefile for the Intel/Linux platform
+# Platform variable
+PLF=LINUXplatform
+# C compiler flags
+CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
+# Loader flags
+LDF=" -L/usr/X11R6/lib ${XLIB}/libXpm.a "
+# C compiler to use
+CC=gcc 
+AWK=gawk
+RANLIB=ranlib
+TOUCH=touch
+TAR=tar
+AXIOMXLROOT=${AXIOM}/compiler
+O=o
+BYE=bye
+LISP=lsp
+DAASE=${SRC}/share
+# where the libXpm.a library lives
+XLIB=/usr/X11R6/lib
+<<GCLOPTS-LOCBFD>>
+<<SRCDIRS>>
+PATCH=patch
+
+ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
+    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
+    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.linux called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
+\subsection{Makefile.debian}
+<<Makefile.debian>>=
+# System dependent Makefile for the Intel/Linux platform
+# Platform variable
+PLF=LINUXplatform
+# C compiler flags
+CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
+# Loader flags
+LDF=" -L/usr/X11R6/lib -L/usr/lib ${XLIB}/libXpm.a "
+# C compiler to use
+CC=gcc 
+AWK=gawk
+RANLIB=ranlib
+TOUCH=touch
+TAR=tar
+AXIOMXLROOT=${AXIOM}/compiler
+O=o
+BYE=bye
+LISP=lsp
+DAASE=${SRC}/share
+# where the libXpm.a library lives
+XLIB=/usr/lib
+<<GCLOPTS-LOCBFD>>
+<<SRCDIRS>>
+PATCH=patch
+
+ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
+    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
+    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.linux called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
+\subsection{Makefile.opensuse}
+<<Makefile.opensuse>>=
+# System dependent Makefile for the Intel/Linux platform
+# Platform variable
+PLF=LINUXplatform
+# C compiler flags
+CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
+# Loader flags
+LDF=" -L/usr/lib ${XLIB}/libXpm.a "
+# C compiler to use
+CC=gcc 
+AWK=gawk
+RANLIB=ranlib
+TOUCH=touch
+TAR=tar
+AXIOMXLROOT=${AXIOM}/compiler
+O=o
+BYE=bye
+LISP=lsp
+DAASE=${SRC}/share
+# where the libXpm.a library lives
+XLIB=/usr/lib
+<<GCLOPTS-LOCBFD>>
+<<SRCDIRS>>
+PATCH=patch
+
+ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
+    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
+    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.linux called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
+\subsection{Makefile.ubuntu}
+<<Makefile.ubuntu>>=
+# System dependent Makefile for the Intel/Linux platform
+# Platform variable
+PLF=LINUXplatform
+# C compiler flags
+CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
+# Loader flags
+LDF=" -L/usr/X11R6/lib -L/usr/lib ${XLIB}/libXpm.a "
+# C compiler to use
+CC=gcc 
+AWK=gawk
+RANLIB=ranlib
+TOUCH=touch
+TAR=tar
+AXIOMXLROOT=${AXIOM}/compiler
+O=o
+BYE=bye
+LISP=lsp
+DAASE=${SRC}/share
+# where the libXpm.a library lives
+XLIB=/usr/lib
+<<GCLOPTS-LOCBFD>>
+<<SRCDIRS>>
+PATCH=patch
+
+ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
+    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
+    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.linux called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
+\subsection{Makefile.macosxppc}
+<<Makefile.macosxppc>>=
+# System dependent Makefile for the MAC/BSD platform
+# Platform variable
+PLF=MACOSXplatform
+# C compiler flags
+CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include -I/usr/include/sys"
+# Loader flags
+LDF=" -L/usr/X11R6/lib ${XLIB}/libXpm.a "
+# C compiler to use
+CC=gcc 
+AWK=awk
+RANLIB=ranlib
+TOUCH=touch
+TAR=tar
+AXIOMXLROOT=${AXIOM}/compiler
+O=o
+BYE=bye
+LISP=lsp
+DAASE=${SRC}/share
+# where the libXpm.a library lives
+XLIB=/usr/X11R6/lib
+<<GCLOPTS-CUSTRELOC>>
+<<SRCDIRS>>
+PATCH=patch
+
+ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
+    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
+    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH} PATH=${PATH}
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.linux called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
 \subsection{Makefile.fedora5}
 On Fedora Core 5 we cannot use the line
 \begin{verbatim}
@@ -1277,24 +1559,6 @@ to link to the Xpm libraries. Instead We need to use
 \begin{verbatim}
   -l Xpm
 \end{verbatim}
-These are added onto the end of the LDF variable.
-
-Annoyingly enough it seems that GCL uses a default extension of .lsp
-rather than .lisp so we add the [[LISP]] variable here. We need to
-depend on the default extension behavior because the system build
-will load either the interpreted or compiled form of a file depending
-on which is available. This varies at different stages of the build.
-
-It turns out that the standard GCL OPTS does not compile with the
-GCL 2.6.8pre version. We changed it from 
-\begin{verbatim}
-@<<GCLOPTS>>
-\end{verbatim}
-to read
-\begin{verbatim}
-@<<GCLOPTS-LOCBFD>>
-\end{verbatim}
-
 GCL-2.6.8pre2 will not build successfully on fedora core 5
 so we need to downgrade the GCLVERSION.
 <<Makefile.fedora5>>=
diff --git a/changelog b/changelog
index 42b6f9d..c9a8e1a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,14 @@
+20080107 tpd Makefile fix GCLOPTS-CUSTRELOC for macosxppc
+20080107 tpd Makefile add Makefile.macosxppc stanza and GCLOPTS-CUSTRELOC
+20080107 tpd src/algebra/Makefile make cp of upper/lower files conditional
+20080107 tpd lsp/Makefile add gcl-2.6.8pre powerpc patch
+20080107 tpd zips/gcl-2.6.8pre.h.powerpc-macosx.defs.patch added
+20080107 tpd src/graph/viewman/viewman.c add defined(MACOSXplatform)
+20080104 tpd Makefile add debian
+20080104 tpd Makefile add redhat72
+20080104 tpd Makefile add redhat9
+20080103 tpd Makefile add opensuse
+20080103 tpd Makefile add ubuntu
 20080102 tpd src/algebra/zerodim remove extra )spool in LexTriangularPackage
 20080131 tpd src/input/Makefile add ei.input for Ei regression test
 20080131 tpd src/input/ei.input regression test function Ei
diff --git a/lsp/Makefile.pamphlet b/lsp/Makefile.pamphlet
index 4a2d3fb..63618c7 100644
--- a/lsp/Makefile.pamphlet
+++ b/lsp/Makefile.pamphlet
@@ -194,7 +194,9 @@ but, since no initialization is needed, we simply create empty files.
 <<gcl-2.6.8pre.socket.patch>>=
 	@(cd ${GCLVERSION}/h ; \
 	  echo 3 applying EXTRAS patch to h/linux.defs ; \
-	  ${PATCH} <${SPD}/zips/${GCLVERSION}.h.linux.defs.patch )
+	  ${PATCH} <${SPD}/zips/${GCLVERSION}.h.linux.defs.patch ; \
+	  echo 3a applying EXTRAS patch to h/powerpc-macosx.defs ; \
+	  ${PATCH} <${SPD}/zips/${GCLVERSION}.h.powerpc-macosx.defs.patch )
 	@(echo 4 setup ini files for EXTRAS patch ; \
 	  touch ${OBJ}/${SYS}/lib/cfuns-c.ini ; \
 	  touch ${OBJ}/${SYS}/lib/sockio-c.ini )
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 939e6e5..b11ba9c 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -2310,7 +2310,7 @@ ${HELP}/Complex.help: ${IN}/gaussian.spad.pamphlet
 	@echo 7010 create Complex.help from ${IN}/gaussian.spad.pamphlet
 	@${TANGLE} -R"Complex.help" ${IN}/gaussian.spad.pamphlet \
             >${HELP}/Complex.help
-	@cp ${HELP}/Complex.help ${HELP}/COMPLEX.help
+	@-cp ${HELP}/Complex.help ${HELP}/COMPLEX.help
 	@${TANGLE} -R"Complex.input" ${IN}/gaussian.spad.pamphlet \
             >${INPUT}/Complex.input
 
@@ -2404,7 +2404,7 @@ ${HELP}/File.help: ${IN}/files.spad.pamphlet
 	@echo 7021 create File.help from ${IN}/files.spad.pamphlet
 	@${TANGLE} -R"File.help" ${IN}/files.spad.pamphlet \
            >${HELP}/File.help
-	@cp ${HELP}/File.help ${HELP}/FILE.help
+	@-cp ${HELP}/File.help ${HELP}/FILE.help
 	@${TANGLE} -R"File.input" ${IN}/files.spad.pamphlet \
             >${INPUT}/File.input
 
@@ -2428,7 +2428,7 @@ ${HELP}/Float.help: ${IN}/float.spad.pamphlet
 	@echo 7024 create Float.help from ${IN}/float.spad.pamphlet
 	@${TANGLE} -R"Float.help" ${IN}/float.spad.pamphlet \
            >${HELP}/Float.help
-	@cp ${HELP}/Float.help ${HELP}/FLOAT.help
+	@-cp ${HELP}/Float.help ${HELP}/FLOAT.help
 	@${TANGLE} -R"Float.input" ${IN}/float.spad.pamphlet \
             >${INPUT}/Float.input
 
@@ -2487,7 +2487,7 @@ ${HELP}/GroebnerFactorizationPackage.help: ${IN}/groebf.spad.pamphlet
 ${HELP}/Heap.help: ${IN}/bags.spad.pamphlet
 	@echo 7030 create Heap.help from ${IN}/bags.spad.pamphlet
 	@${TANGLE} -R"Heap.help" ${IN}/bags.spad.pamphlet >${HELP}/Heap.help
-	@cp ${HELP}/Heap.help ${HELP}/HEAP.help
+	@-cp ${HELP}/Heap.help ${HELP}/HEAP.help
 	@${TANGLE} -R"Heap.input" ${IN}/bags.spad.pamphlet \
             >${INPUT}/Heap.input
 
@@ -2548,7 +2548,7 @@ ${HELP}/Kernel.help: ${IN}/kl.spad.pamphlet
 	@echo 7036 create Kernel.help from ${IN}/kl.spad.pamphlet
 	@${TANGLE} -R"Kernel.help" ${IN}/kl.spad.pamphlet \
            >${HELP}/Kernel.help
-	@cp ${HELP}/Kernel.help ${HELP}/KERNEL.help
+	@-cp ${HELP}/Kernel.help ${HELP}/KERNEL.help
 	@${TANGLE} -R"Kernel.input" ${IN}/kl.spad.pamphlet \
             >${INPUT}/Kernel.input
 
@@ -2630,7 +2630,7 @@ ${HELP}/List.help: ${IN}/list.spad.pamphlet
 	@echo 7045 create List.help from ${IN}/list.spad.pamphlet
 	@${TANGLE} -R"List.help" ${IN}/list.spad.pamphlet \
            >${HELP}/List.help
-	@cp ${HELP}/List.help ${HELP}/LIST.help
+	@-cp ${HELP}/List.help ${HELP}/LIST.help
 	@${TANGLE} -R"List.input" ${IN}/list.spad.pamphlet \
             >${INPUT}/List.input
 
@@ -2646,7 +2646,7 @@ ${HELP}/Magma.help: ${IN}/xlpoly.spad.pamphlet
 	@echo 7047 create Magma.help from ${IN}/xlpoly.spad.pamphlet
 	@${TANGLE} -R"Magma.help" ${IN}/xlpoly.spad.pamphlet \
             >${HELP}/Magma.help
-	@cp ${HELP}/Magma.help ${HELP}/MAGMA.help
+	@-cp ${HELP}/Magma.help ${HELP}/MAGMA.help
 	@${TANGLE} -R"Magma.input" ${IN}/xlpoly.spad.pamphlet \
             >${INPUT}/Magma.input
 
@@ -2686,7 +2686,7 @@ ${HELP}/Matrix.help: ${IN}/matrix.spad.pamphlet
 	@echo 7052 create Matrix.help from ${IN}/matrix.spad.pamphlet
 	@${TANGLE} -R"Matrix.help" ${IN}/matrix.spad.pamphlet \
            >${HELP}/Matrix.help
-	@cp ${HELP}/Matrix.help ${HELP}/MATRIX.help
+	@-cp ${HELP}/Matrix.help ${HELP}/MATRIX.help
 	@${TANGLE} -R"Matrix.input" ${IN}/matrix.spad.pamphlet \
             >${INPUT}/Matrix.input
 
@@ -2712,7 +2712,7 @@ ${HELP}/MultivariatePolynomial.help: ${IN}/multpoly.spad.pamphlet
 ${HELP}/None.help: ${IN}/any.spad.pamphlet
 	@echo 7055 create None.help from ${IN}/any.spad.pamphlet
 	@${TANGLE} -R"None.help" ${IN}/any.spad.pamphlet >${HELP}/None.help
-	@cp ${HELP}/None.help ${HELP}/NONE.help
+	@-cp ${HELP}/None.help ${HELP}/NONE.help
 	@${TANGLE} -R"None.input" ${IN}/any.spad.pamphlet >${INPUT}/None.input
 
 ${HELP}/Octonion.help: ${IN}/oct.spad.pamphlet
@@ -2864,7 +2864,7 @@ ${HELP}/Set.help: ${IN}/sets.spad.pamphlet
 	@echo 7073 create Set.help from ${IN}/sets.spad.pamphlet
 	@${TANGLE} -R"Set.help" ${IN}/sets.spad.pamphlet \
            >${HELP}/Set.help
-	@cp ${HELP}/Set.help ${HELP}/SET.help
+	@-cp ${HELP}/Set.help ${HELP}/SET.help
 	@${TANGLE} -R"Set.input" ${IN}/sets.spad.pamphlet \
             >${INPUT}/Set.input
 
@@ -2907,7 +2907,7 @@ ${HELP}/Stream.help: ${IN}/stream.spad.pamphlet
 	@echo 7078 create Stream.help from ${IN}/stream.spad.pamphlet
 	@${TANGLE} -R"Stream.help" ${IN}/stream.spad.pamphlet \
            >${HELP}/Stream.help
-	@cp ${HELP}/Stream.help ${HELP}/STREAM.help
+	@-cp ${HELP}/Stream.help ${HELP}/STREAM.help
 	@${TANGLE} -R"Stream.input" ${IN}/stream.spad.pamphlet \
             >${INPUT}/Stream.input
 
@@ -2915,7 +2915,7 @@ ${HELP}/String.help: ${IN}/string.spad.pamphlet
 	@echo 7079 create String.help from ${IN}/string.spad.pamphlet
 	@${TANGLE} -R"String.help" ${IN}/string.spad.pamphlet \
            >${HELP}/String.help
-	@cp ${HELP}/String.help ${HELP}/STRING.help
+	@-cp ${HELP}/String.help ${HELP}/STRING.help
 	@${TANGLE} -R"String.input" ${IN}/string.spad.pamphlet \
             >${INPUT}/String.input
 
@@ -2931,7 +2931,7 @@ ${HELP}/Symbol.help: ${IN}/symbol.spad.pamphlet
 	@echo 7081 create Symbol.help from ${IN}/symbol.spad.pamphlet
 	@${TANGLE} -R"Symbol.help" ${IN}/symbol.spad.pamphlet \
            >${HELP}/Symbol.help
-	@cp ${HELP}/Symbol.help ${HELP}/SYMBOL.help
+	@-cp ${HELP}/Symbol.help ${HELP}/SYMBOL.help
 	@${TANGLE} -R"Symbol.input" ${IN}/symbol.spad.pamphlet \
             >${INPUT}/Symbol.input
 
@@ -2939,7 +2939,7 @@ ${HELP}/Table.help: ${IN}/table.spad.pamphlet
 	@echo 7082 create Table.help from ${IN}/table.spad.pamphlet
 	@${TANGLE} -R"Table.help" ${IN}/table.spad.pamphlet \
            >${HELP}/Table.help
-	@cp ${HELP}/Table.help ${HELP}/TABLE.help
+	@-cp ${HELP}/Table.help ${HELP}/TABLE.help
 	@${TANGLE} -R"Table.input" ${IN}/table.spad.pamphlet \
             >${INPUT}/Table.input
 
@@ -2947,7 +2947,7 @@ ${HELP}/TextFile.help: ${IN}/files.spad.pamphlet
 	@echo 7083 create TextFile.help from ${IN}/files.spad.pamphlet
 	@${TANGLE} -R"TextFile.help" ${IN}/files.spad.pamphlet \
            >${HELP}/TextFile.help
-	@cp ${HELP}/TextFile.help ${HELP}/TEXTFILE.help
+	@-cp ${HELP}/TextFile.help ${HELP}/TEXTFILE.help
 	@${TANGLE} -R"TextFile.input" ${IN}/files.spad.pamphlet \
             >${INPUT}/TextFile.input
 
@@ -2990,14 +2990,14 @@ ${HELP}/Vector.help: ${IN}/vector.spad.pamphlet
 	@echo 7088 create Vector.help from ${IN}/vector.spad.pamphlet
 	@${TANGLE} -R"Vector.help" ${IN}/vector.spad.pamphlet \
            >${HELP}/Vector.help
-	@cp ${HELP}/Vector.help ${HELP}/VECTOR.help
+	@-cp ${HELP}/Vector.help ${HELP}/VECTOR.help
 	@${TANGLE} -R"Vector.input" ${IN}/vector.spad.pamphlet \
             >${INPUT}/Vector.input
 
 ${HELP}/Void.help: ${IN}/void.spad.pamphlet
 	@echo 7089 create Void.help from ${IN}/void.spad.pamphlet
 	@${TANGLE} -R"Void.help" ${IN}/void.spad.pamphlet >${HELP}/Void.help
-	@cp ${HELP}/Void.help ${HELP}/VOID.help
+	@-cp ${HELP}/Void.help ${HELP}/VOID.help
 	@${TANGLE} -R"Void.input" ${IN}/void.spad.pamphlet >${INPUT}/Void.input
 
 ${HELP}/WuWenTsunTriangularSet.help: ${IN}/triset.spad.pamphlet
diff --git a/src/graph/viewman/viewman.c.pamphlet b/src/graph/viewman/viewman.c.pamphlet
index dc767b4..429c91c 100644
--- a/src/graph/viewman/viewman.c.pamphlet
+++ b/src/graph/viewman/viewman.c.pamphlet
@@ -111,7 +111,7 @@ main (void)
   int keepLooking,code;
   
   bsdSignal(SIGPIPE,brokenPipe,DontRestartSystemCalls);
-#if defined(BSDplatform)
+#if defined(BSDplatform) || defined(MACOSXplatform)
   bsdSignal(SIGCHLD,endChild,RestartSystemCalls);
 #else
   bsdSignal(SIGCLD,endChild,RestartSystemCalls);
